Apache Tomcat 6.0.51

## org.apache.jasper.el
Class ExpressionEvaluatorImpl

    java.lang.Object
      javax.servlet.jsp.el.ExpressionEvaluator
          org.apache.jasper.el.ExpressionEvaluatorImpl

    public final class ExpressionEvaluatorImpl

extends javax.servlet.jsp.el.ExpressionEvaluator

Constructor Summary
`ExpressionEvaluatorImpl(javax.el.ExpressionFactory factory)`

Method Summary
`java.lang.Object` | `evaluate(java.lang.String expression, java.lang.Class expectedType, javax.servlet.jsp.el.VariableResolver vResolver, javax.servlet.jsp.el.FunctionMapper fMapper)` Evaluates an expression.
`javax.servlet.jsp.el.Expression` | `parseExpression(java.lang.String expression, java.lang.Class expectedType, javax.servlet.jsp.el.FunctionMapper fMapper)` Prepare an expression for later evaluation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionEvaluatorImpl

    public ExpressionEvaluatorImpl(javax.el.ExpressionFactory factory)

Method Detail

### parseExpression

    public javax.servlet.jsp.el.Expression parseExpression(java.lang.String expression,
                                                           java.lang.Class expectedType,
                                                           javax.servlet.jsp.el.FunctionMapper fMapper)
                                                    throws javax.servlet.jsp.el.ELException

  Description copied from class: `javax.servlet.jsp.el.ExpressionEvaluator`
  Prepare an expression for later evaluation. This method should perform syntactic validation of the expression; if in doing so it detects errors, it should raise an ELParseException.

  Specified by:
    `parseExpression` in class `javax.servlet.jsp.el.ExpressionEvaluator`
  Parameters:
    `expression` - The expression to be evaluated.
    `expectedType` - The expected type of the result of the evaluation
    `fMapper` - A FunctionMapper to resolve functions found in the expression. It can be null, in which case no functions are supported for this invocation. The ExpressionEvaluator must not hold on to the FunctionMapper reference after returning from `parseExpression()`. The `Expression` object returned must invoke the same functions regardless of whether the mappings in the provided `FunctionMapper` instance change between calling `ExpressionEvaluator.parseExpression()` and `Expression.evaluate()`.
  Returns:
    The Expression object encapsulating the arguments.
  Throws:
    `javax.servlet.jsp.el.ELException` - Thrown if parsing errors were found.

### evaluate

    public java.lang.Object evaluate(java.lang.String expression,
                                     java.lang.Class expectedType,
                                     javax.servlet.jsp.el.VariableResolver vResolver,
                                     javax.servlet.jsp.el.FunctionMapper fMapper)
                              throws javax.servlet.jsp.el.ELException

  Description copied from class: `javax.servlet.jsp.el.ExpressionEvaluator`
  Evaluates an expression. This method may perform some syntactic validation and, if so, it should raise an ELParseException error if it encounters syntactic errors. EL evaluation errors should cause an ELException to be raised.

  Specified by:
    `evaluate` in class `javax.servlet.jsp.el.ExpressionEvaluator`
  Parameters:
    `expression` - The expression to be evaluated.
    `expectedType` - The expected type of the result of the evaluation
    `vResolver` - A VariableResolver instance that can be used at runtime to resolve the name of implicit objects into Objects.
    `fMapper` - A FunctionMapper to resolve functions found in the expression. It can be null, in which case no functions are supported for this invocation.
  Returns:
    The result of the expression evaluation.
  Throws:
    `javax.servlet.jsp.el.ELException` - Thrown if the expression evaluation failed.

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.